local flours = {
   {'Barley', 'barley'},
   {'Corn', 'corn'},
   {'Multigrain', 'multigrain'},
   {'Oat', 'oat'},
   {'Rice', 'rice'},
   {'Rye', 'rye'},
   {'Wheat', 'wheat'}
}

for i in ipairs(flours) do
   local name = flours[i][1]
   local internal = flours[i][2]

   minetest.register_craftitem('food:flour_'..internal, {
      description = name..' Flour',
      inventory_image = 'food_flour_'..internal..'.png',
      groups = {food_flour = 1}
   })
end
